Last Comment Bug 201238 - Message "You used Formatting (e.g., Colors) that will not be converted to plain text"
: Message "You used Formatting (e.g., Colors) that will not be converted to pla...
Status: RESOLVED WONTFIX
:
Product: MailNews Core
Classification: Components
Component: Composition (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-08 15:39 PDT by Steven Augart
Modified: 2008-08-04 13:50 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Steven Augart 2003-04-08 15:39:52 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.3) Gecko/20030312
Build Identifier: Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.3) Gecko/20030312

When I sent messages that I composed using the HTML editor to folks who are not
in my book as happy HTML recipients, I get the (expected) message: "You used
Formatting (e.g., Colors) that will not be converted to plain text".  

This message could be more specific, by telling the user exactly what formatting
(e.g., Italics or Colors or fonts...) caused the problem.  

Reproducible: Always

Steps to Reproduce:
1.
2.
3.




I'm interested in hacking on Mozilla.  I've got about 200,000 lines of C on Unix
under my belt, and about 30,000 lines of C++.  I have the O'Reilly Mozilla book,
and would like to apply some of it to a Real Problem.

I would like to try to improve this message (it seems like a self-contained
task), but I first want to check with y'all whether this enhancement would be of
interest and whether, if I made it, it would stand much of a chance of being
incorporated into Mozilla.

Thanks!
Comment 1 Mike Cowperthwaite 2004-09-01 11:16:38 PDT

*** This bug has been marked as a duplicate of 246758 ***
Comment 2 Ben Bucksch (:BenB) 2004-09-01 14:01:15 PDT
This is not a dup.

Steve, I like your suggestion. I wrote the current code and tried to do what you
suggest, to some extend, already, the code knows different kinds of formatting:
- no formatting (only linebreaks)
- formatting that can be easily converted while preserving layout mostly
(indention, bulleted lists etc.)
- IIRC: Formatting that can be represented in plaintext, but will look
differently (tables etc.)
- Presentational formatting that can not be converted, like colors and font sizes

I tried to convey that using different icons in the dialog, but that wasn't
acceppted IIRC. IIRC I do convey it using the text (or was that ripped out as
well?).

If you can figure out a nice way and get buy-in in advance from the mailnews
owners (mainly ducarroz here, I'm not one of them), I'm all for it.

So, please make a concrete suggestion what you'd like to do look for in code,
how to present it to the user, how to word things.
Comment 3 Ben Bucksch (:BenB) 2004-09-01 14:02:28 PDT
> what you'd like to do look for in code

I mean which HTML tags

assigning bug to you.
Comment 4 Ben Bucksch (:BenB) 2008-08-04 13:50:03 PDT
No response. WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.